Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25395

Description

Trying to do a WMS GetFeatureInfo request results in an error such as:

msWMSFeatureInfo(): WMS server error. Invalid I/J values

(on a local instance of MapServer)

or

Parameter X(or Y,I,J) out of scope

(on a remote ArcGIS service)

With a request like: 

hydrogeology/MapServer/WmsServer?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetFeatureInfo&BBOX=-1.8617438180

687928,52.1834395954103627,-0.14115908462290472,53.72364044551835605&CRS=CRS:84&WIDTH=868&HEIGHT=777&LAYERS=Hydrogeology&STYLES=&FORMAT=image/png&QUERY_LAYERS=Hydrogeology&INFO_FORMAT=text/html&I=939&J

LAYERS=Hydrogeology&STYLES=&FORMAT=image/png&QUERY_LAYERS=Hydrogeology&INFO_FORMAT=text/html&I=939&J=27102)

&J=27102)

Associated revisions

Revision 94a1e68a - 2017-11-22 06:51 PM - Alessandro Pasotti 

[bugfix][wms] Fix GetFeatureInfo

Fixes #17498 WMS GetFeatureInfo requests not working

Use the right variable instead of an

unitialized one ( followup b119744 )

History

#1 - 2017-11-20 01:01 PM - James Passmore

Looking at the local logs, requests to the MapServer instance that result in the error are like:

/cgi-bin/exemplars/BGS_Bedrock_and_Superficial_Geology/wms?SERVICE=WMS&VERSION=1.3.0&REQUEST=GetFeatureInfo&BBOX=53.3398044

241124275,-2.24691918108755129,54.12614968139177307,-1.45132282164842641&CRS=EPSG:4326&WIDTH=516&HEIGHT=510&LAYERS=GBR_BGS_625k_SLS&STYLES=&FORMAT=image/png&QUERY_LAYERS=GBR_BGS_625k_SLS&INFO_FORMAT=text/html&I=1457&J=35104

_BGS_625k_SLS&STYLES=&FORMAT=image/png&QUERY_LAYERS=GBR_BGS_625k_SLS&INFO_FORMAT=text/html&I=1457&J=35104

#2 - 2017-11-21 11:18 AM - Giovanni Manghi

- Status changed from Open to Feedback
Can you provide the full URL of the endpoint? what is the endpoint? mapserver? geoserver? else?

#3 - 2017-11-21 11:19 AM - Giovanni Manghi

Does the same endpoint work as expected on 2.18.14?

#4 - 2017-11-21 12:22 PM - James Passmore

The following MapServer WMS has the issue on: QGIS version 2.99.0-Master QGIS code revision af5b2a750a

http://ogc.bgs.ac.uk/cgi-bin/TFL-PSI/ows?

The same service works on: QGIS version 2.18.3 QGIS code revision 77b8c3d

Here's an example GFI that works on the service:

http://ogc.bgs.ac.uk/cgi-bin/TFL-PSI/ows?language=eng&#38;REQUEST=GetFeatureInfo&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;LAYERS=

BR_Stoke-on-Trent_ESA_EN_5k_psi_TS&#38;STYLES=&#38;FORMAT=image/png&#38;BGCOLOR=0xFFFFFF&#38;TRANSPARENT=TRUE&#38;CRS=EPSG:4326&#38;BBOX=53.0052235378464,-2.28573545848794,53.1251768672774,-2.13175281574312&#38;WIDTH=1086&#38;HEIGHT=846&#38;

RS=EPSG:4326&#38;BBOX=53.0052235378464,-2.28573545848794,53.1251768672774,-2.13175281574312&#38;WIDTH=1086&#38;HEIGHT=846&#38;QUERY_LAYERS=GBR_Stoke-on-Trent_ESA_EN_5k_psi_TS&#38;i=337&#38;j=255&#38;info_format=text/htmlx%x

#38;QUERY_LAYERS=GBR_Stoke-on-Trent_ESA_EN_5k_psi_TS&#38;i=337&#38;j=255&#38;info_format=text/htmlx%x%

The following ArcGIS service is the service in the report:

https://map.bgs.ac.uk/arcgis/services/GeoIndex_Onshore/hydrogeology/MapServer/WmsServer?

GFI works on: QGIS version 2.18.3 QGIS code revision 77b8c3d

The following GeoServer service doesn't work on: QGIS version 2.99.0-Master QGIS code revision af5b2a750a

http://ogc.bgs.ac.uk:80/digmap625k_gsml_insp_gs/ows?

It works as expected on: QGIS version 2.18.3 QGIS code revision 77b8c3d

#5 - 2017-11-21 01:05 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

- Operating System deleted (Windows Server 2016)

- Status changed from Feedback to Open

#6 - 2017-11-22 05:42 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#7 - 2017-11-22 06:55 PM - Anonymous

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|94a1e68a25199e455bc6126ed02c55ff250defa9.
#8 - 2017-11-23 05:43 PM - Giovanni Manghi

- Resolution set to fixed/implemented
